Class | Ferret::Store::RAMDirectory
In: | ext/r_store.c
Parent: | Ferret::Store::Directory

Memory resident Directory implementation. You should use a RAMDirectory during testing but otherwise you should stick with FSDirectory. While loading an index into memory may slightly speed things up, on most operating systems there won‘t be much difference so it wouldn‘t be worth your trouble.

### Methods

new

### Public Class methods

RAMDirectory.new(dir = nil)

Create a new RAMDirectory.

You can optionally load another Directory (usually a FSDirectory) into memory. This may be useful to speed up search performance but usually the speedup won‘t be worth the trouble. Be sure to benchmark.

dir: | Directory to load into memory

[Validate]